:root {
    --fontFamilyDefault: 'Roboto';
    --fontWeightNormal: 300;
    --fontWeightBold: 500;

    --bgLight: #EFEFEF;
    --bgTheme: #128c7e;
    --bgTheme2: #01e675;
    --bgDark: #273443;
    --fontLight: #ffff;
    --fontDark: #fff;

    --paddingRowsDefault: 0px 0;
    --paddingInputDefault: 15px;
    --gapFlexDefault: 20px;
    
    --radiusDefault: 15px;
}


* {
    box-sizing: border-box;
    font-family: var(--fontFamilyDefault), sans-serif;
    text-decoration: none;
    margin: 0;
    padding: 0;
    outline: none;
    color: var(--fontDark);
    font-weight: var(--fontWeightNormal);
    background-color: #000;
}

h1, h2, h3, h4, h5, h6, b, strong,
button {
    font-weight: var(--fontWeightBold);
}

h1 {
    margin-bottom: 10px;
}

p {
    margin-top: 10px;
}

textarea {
    resize: vertical;
}

.fa, .fab, .fad, .fal, .far, .fas {
    display: unset !important;
}

header, footer {
    text-align: center;
    min-height: 20vh;
}

header {
    background-color: #000;
}

header * {
    color: #000;
    background-color: #000;
    margin-top: 20px;
}

.logo {
    width: 20%;
}

main {
    width: 1150px;
    display: flex;
    justify-content: space-between;
    margin: auto;
    gap: 50px;
    padding-bottom: 100px;
}

.box {
    width: 100%;
}

.box2 {
    display: flex;
    flex-direction: column;
    margin: auto;
    gap: 50px;
}

.informacao {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.box2 img {
    margin-right: 20px;
    background-color: #9DD01E;
    border-radius: 50%;
    padding: 10px;
}

main form {
    display: flex;
    flex-direction: column;
    gap: var(--gapFlexDefault);
}

main form * {
    width: 100%;
}

main form input,
main form textarea,
main form button {
    background-color: #fff;
    color: #000;
    border-radius: var(--radiusDefault);
    padding: var(--paddingInputDefault);
    font-size: 1em;
}

main form label {
    margin-bottom: 5px;
    display: block;
}

main form button {
    background-color: #9DD01E;
    cursor: pointer;
}

main form button:hover {
    background-color: #84b800;
    cursor: pointer;
}

main form button,
main form button * {
    color: #000;
    background-color: #9DD01E;
}

main form button[type='reset'] {
    background-color: #9DD01E;
}

main form button[type='reset'],
main form button[type='reset'] * {
    color: #fff;
}

main form .inputsLinkGenerated {
    display: none;
}

#dvHrefLinkGenerated {
    position: relative;
}

#dvHrefLinkGenerated a {
    position: absolute;
    top: 1px;
    right: 1px;
    width: initial;
    padding: var(--paddingInputDefault);
    background-color: #000;
    border-radius: var(--radiusDefault);
}

footer {
    padding: var(--paddingRowsDefault);
    background-color: #9DD01E;
    gap: var(--gapFlexDefault);
}

footer * {
    color: #000;
    background-color: #9DD01E;
}

footer #links {
    justify-content: center;
    gap: var(--gapFlexDefault);
}

header, main, footer {
    justify-content: center;
    padding-right: var(--gapFlexDefault);
    padding-left: var(--gapFlexDefault);
}

@media (max-width: 900px) {
    main {
    width: 90%;
    flex-direction: column;
    margin: auto;
    margin-top: 50px;
    }

    .logo {
        width: 200px;
    }

    h1 {
        font-size: 1.5em;
        text-align: center;
        margin-bottom: 20px;
    }

    h2 {
        font-size: 1.2em;
    }
}

@media (max-width: 480px) {
    header, footer {
        text-align: center;
        min-height: 0vh;
    }

    .informacao {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 20px;
        text-align: center;
    }
}
